export default {
  // 下拉选项数据加载更多
  'select-loadmore': {
    bind(el, binding) {
      const ul = el.querySelector('.el-select-dropdown__wrap.el-scrollbar__wrap');
      ul.addEventListener('scroll', function(event) {
        if (this.scrollTop + this.clientHeight >= this.scrollHeight) {
          if (typeof binding.value == 'function') {
            binding.value()
          }
        }
      })
    }
  }
}
